View Issue Details

IDProjectCategoryView StatusLast Update
0023991mantisbtrelationshipspublic2020-03-10 06:52
Reportermchendl Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version2.1.0 
Summary0023991: Clone closed ticket doesn't work for reporter
Description

As discussed in 0011290, it should be possible for a reporter to clone a closed ticket. Closed tickets are set read-only in my configuration.
In my 2.1.0 version the clone button for reporters is visible only when the variable update_bug_threshold is set to 25 (reporter).

TagsNo tags attached.

Activities

atrol

atrol

2018-02-16 07:11

developer   ~0058902

Just a note in case someone starts to implement it.

It would mean that Relationship with the parent issue must not be offered to users without update_bug_threshold access rights.

mchendl

mchendl

2018-10-02 11:12

reporter   ~0060726

Thanks @atrol for the clarification! Is there any chance to get this feature implemented? Now we use 2.12.0 and as I can see in the recent release notes it isn't implemented until 2.16.1.

atrol

atrol

2018-10-03 06:07

developer   ~0060730

@mchendl, patches are welcome. It all depends on priority and a developer or community member deciding to spend their time on a specific issue.

All contributions are welcome and greatly appreciated.

Patch submissions can be made in several ways. In the order of preference:

  1. Send us a Pull Request on our Github repository [1]
  2. Attach a GIT patch to the issue
  3. Attach a Unified Diff, clearly specifying the patch's base release

Kindly avoid to upload entire modified PHP files.

Please make sure that your submissions adhere to our Coding Guidelines [2], if they don't your patch might be rejected.

[1] https://github.com/mantisbt/mantisbt
[2] http://www.mantisbt.org/wiki/doku.php/mantisbt:coding_guidelines

Issue History

Date Modified Username Field Change
2018-02-16 06:48 mchendl New Issue
2018-02-16 07:11 atrol Note Added: 0058902
2018-10-02 11:12 mchendl Note Added: 0060726
2018-10-03 06:07 atrol Note Added: 0060730